
Database - Bug #4173

BUFFER-COPY/BUFFER-COMPARE compares table fields by name rather than data type and order

08/08/2019 09:25 AM - Eric Faulhaber

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Adrian Lungu % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 08/08/2019 10:11 AM - Eric Faulhaber

- Subject changed from BUFFER-COPY compares table fields by name rather than data type and order to BUFFER-COPY/BUFFER-COMPARE

compares table fields by name rather than data type and order

Based on our findings of how tables are compared for parameter passing purposes and shared temp-table definitions (by field type and order rather

than field name), we need to check whether the name-based comparison of tables currently implemented for BUFFER-{COPY|COMPARE} needs to

be overhauled. I suspect so...

#2 - 12/03/2020 03:03 PM - Greg Shah

- Assignee set to Adrian Lungu

This seems related to your current work.  It may make sense to implement any changes needed to resolve this task along with your other changes in

3821c.

#3 - 03/10/2021 11:01 AM - Greg Shah

Is this still an open issue?

#4 - 03/10/2021 01:29 PM - Adrian Lungu

- % Done changed from 0 to 100

- Status changed from New to WIP

This can be closed; the premises in #4173 are not accurate as there is a difference in implementation between bufer-copy field mapping and

copy-temp-table field mapping (#4055-79).

#5 - 03/10/2021 01:44 PM - Greg Shah

- Status changed from WIP to Closed

Powered by TCPDF (www.tcpdf.org)

05/02/2024 1/1

https://proj.goldencode.com/issues/4173
https://proj.goldencode.com/issues/4055#note-79
http://www.tcpdf.org

